# SlimeSplitEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.entity, class: SlimeSplitEvent

Package org.bukkit.event.entity

# Class SlimeSplitEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.SlimeSplitEvent

All Implemented Interfaces:
  `Cancellable`

public class SlimeSplitEvent extends EntityEvent implements Cancellable
Called when a Slime splits into smaller Slimes upon death

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`SlimeSplitEvent(@NotNull Slime slime, int count)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCount()`
Gets the amount of smaller slimes to spawn
`@NotNull Slime`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setCount(int count)`
Sets how many smaller slimes will spawn on the split

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlimeSplitEvent

public SlimeSplitEvent(@NotNull @NotNull Slime slime, int count)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull Slime getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getCount

public int getCount()
Gets the amount of smaller slimes to spawn

Returns:
  the amount of slimes to spawn

### setCount

public void setCount(int count)
Sets how many smaller slimes will spawn on the split

Parameters:
  `count` - the amount of slimes to spawn

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()